/*
 * @Date: 2021-09-24 16:52:07
 * @LastEditors: 陈禹琨 cyk910622@163.com
 * @LastEditTime: 2022-07-25 16:32:11
 * @FilePath: \upcloud-base-fe-wms\src\views\kzyWMS\inBound\quality\billEditor\config\scanCode\righttable.js
 * @Description: cyk
 */
let grid = {
  labelCol: { span: 5 },
  span: 13,
};
export function rightItems(self) {
  let _this = self;
  return [{ type: "input", name: "supervisionCode", label: "扫描序列号", ...grid, value: "" }];
}

export const tableColumns = [
  { title: "id", dataIndex: "id", key: "id", type: "txt", hidden: true },
  {
    title: "监管/防窜码",
    dataIndex: "supervisionCode",
    key: "supervisionCode",

    type: "txt",
    ellipsis: true,
  },
  { title: "商品名称", dataIndex: "itemName", key: "itemName", type: "txt", ellipsis: true },
  {
    title: "包装级别",
    dataIndex: "packLevel",
    key: "packLevel",
    type: "txt",
    ellipsis: true,
    customRender(text) {
      console.log(text);
      text == 0 && (text = "大包装");
      text == 1 && (text = "中包装");
      text == 2 && (text = "小包装");
      return text;
    },
  },
  { title: "操作", key: "operation", scopedSlots: { customRender: "operation" }, align: "center" },
];
